#
# Conditional build
%bcond_with	dbus		# DBus interface
%bcond_with	gtk3		# GTK+ 3 interface [experimental]
%bcond_without	gnomevfs	# Don't use gnome vfs for loading files
%bcond_with	relocation	# Enable binary relocation support
#

Summary:	Scalable vector graphics editor
Summary(pl.UTF-8):	Edytor skalowalnej grafiki wektorowej
Name:		inkscape
Version:	0.92.3
Release:	5
License:	GPL v2+, LGPL v2.1+
Group:		X11/Applications/Graphics
# download: follow https://inkscape.org/release/
Source0:	https://media.inkscape.org/dl/resources/file/%{name}-%{version}.tar.bz2
# Source0-md5:	4ef7171cc1de9e1608d8c49b77fed99e
Patch0:		%{name}-man.patch
Patch1:		%{name}-gtk3.patch
Patch2:		%{name}-poppler.patch
URL:		https://inkscape.org/
BuildRequires:	ImageMagick-c++-devel
BuildRequires:	aspell-devel
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.9.4-2
BuildRequires:	boost-devel >= 1.36
BuildRequires:	cairo-devel >= 1.10
BuildRequires:	cairomm-devel >= 1.9.8
%{?with_dbus:BuildRequires:	dbus-glib-devel}
BuildRequires:	freetype-devel >= 2.0
BuildRequires:	gc-devel >= 7.2
BuildRequires:	gettext-tools >= 0.17
BuildRequires:	glib2-devel >= 1:2.28
BuildRequires:	glibmm-devel >= 2.28
%{?with_gnomevfs:BuildRequires:	gnome-vfs2-devel >= 2.15.2}
BuildRequires:	gsl-devel
BuildRequires:	intltool >= 0.40.0
BuildRequires:	lcms2-devel >= 2
BuildRequires:	libcdr-devel >= 0.1
BuildRequires:	libexif-devel
BuildRequires:	libgomp-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel >= 1.2
BuildRequires:	librevenge-devel
BuildRequires:	libsigc++-devel >= 2.0.17
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	libtool >= 2:2.2
BuildRequires:	libvisio-devel >= 0.1
BuildRequires:	libwpd-devel >= 0.9
BuildRequires:	libwpg-devel >= 0.3
BuildRequires:	libxml2-devel >= 1:2.6.26
BuildRequires:	libxslt-devel >= 1.1.17
BuildRequires:	pango-devel >= 1:1.24
BuildRequires:	pkgconfig
BuildRequires:	poppler-glib-devel >= 0.29.0
BuildRequires:	popt-devel
BuildRequires:	potrace-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	sed >= 4.0
BuildRequires:	zlib-devel
%if %{with gtk3}
BuildRequires:	gdl-devel >= 3.6
BuildRequires:	gtk+3-devel >= 3.8
BuildRequires:	gtkmm3-devel >= 3.10
BuildRequires:	gtkspell3-devel >= 3.0
%else
BuildRequires:	gtk+2-devel >= 2:2.24
BuildRequires:	gtkmm-devel >= 2.24
BuildRequires:	gtkspell-devel >= 2.0.11
%endif
Requires(post,postun):	desktop-file-utils
Requires:	cairo >= 1.10
Requires:	cairomm >= 1.9.8
Requires:	gc >= 7.2
Requires:	glib2 >= 1:2.28
Requires:	glibmm >= 2.28
%{?with_gnomevfs:Requires:	gnome-vfs2 >= 2.15.2}
Requires:	libsigc++ >= 2.0.17
Requires:	libxml2 >= 1:2.6.26
Requires:	libxslt >= 1.1.17
Requires:	pango >= 1:1.24
Requires:	perl-XML-XQL
Requires:	poppler-glib >= 0.29.0
%if %{with gtk3}
Requires:	gdl >= 3.6
Requires:	gtk+3 >= 3.8
Requires:	gtkmm3 >= 3.10
%else
Requires:	gtk+2 >= 2:2.24
Requires:	gtkmm >= 2.24
Requires:	gtkspell >= 2.0.11
%endif
Suggests:	python-lxml
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Inkscape is a program for viewing, making, and editing two-dimensional
vector drawings.

%description -l pl.UTF-8
Inkscape jest programem do przeglądania, tworzenia i edycji
dwuwymiarowej grafiki wektorowej.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%{__sed} -i -e 's,po/Makefile.in,,' configure.ac

%build
%{__libtoolize}
%{__gettextize}
%{__intltoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_relocation:--enable-binreloc} \
	%{?with_dbus:--enable-dbusapi} \
	%{?with_gtk3:--enable-gtk3-experimental} \
	--disable-silent-rules \
	%{!?with_gnomevfs:--without-gnome-vfs}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# localized manuals cleanup
for manlang in de el fr ja sk zh_TW ; do
	%{__mv} $RPM_BUILD_ROOT%{_mandir}/${manlang}/man1/{inkscape.${manlang}.1,inkscape.1}
	%{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/inkscape.${manlang}.1
done

# unify locale name, overwrite outdated bn
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{bn_BD,bn}/LC_MESSAGES/inkscape.mo
# joke language, unsupported
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/en_US@piglatin
# unify names
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{ks@aran,ks}
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{ks@deva,ks@devanagari}
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{sd@deva,sd@devanagari}
# unsupported variants
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{kok@latin,mni@beng,sat@deva}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post

%postun
%update_desktop_database_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TRANSLATORS doc/HACKING.txt
%lang(ca) %doc README.ca.txt
%lang(de) %doc README.de.txt doc/HACKING.de.txt
%lang(es) %doc README.es.txt
%lang(fr) %doc README.fr.txt doc/HACKING.fr.txt
%lang(it) %doc README.it.txt doc/HACKING.it.txt
%lang(pt_BR) %doc README.pt_BR.txt doc/HACKING.pt_BR.txt
%lang(sk) %doc README.sk.txt
%lang(sr) %doc README.sr.txt
%attr(755,root,root) %{_bindir}/inkscape
%attr(755,root,root) %{_bindir}/inkview
%dir %{_datadir}/inkscape
%{_datadir}/inkscape/[!e]*
%{_datadir}/inkscape/examples
%dir %{_datadir}/inkscape/extensions
%dir %{_datadir}/inkscape/extensions/Barcode
%attr(755,root,root) %{_datadir}/inkscape/extensions/Barcode/*.py
%{_datadir}/inkscape/extensions/Poly3DObjects
%{_datadir}/inkscape/extensions/alphabet_soup
%dir %{_datadir}/inkscape/extensions/ink2canvas
%attr(755,root,root) %{_datadir}/inkscape/extensions/ink2canvas/*.py
%{_datadir}/inkscape/extensions/test
%{_datadir}/inkscape/extensions/xaml2svg
%attr(755,root,root) %{_datadir}/inkscape/extensions/*.pl
%attr(755,root,root) %{_datadir}/inkscape/extensions/*.py
%attr(755,root,root) %{_datadir}/inkscape/extensions/*.rb
%attr(755,root,root) %{_datadir}/inkscape/extensions/*.sh
%{_datadir}/inkscape/extensions/*.inx
%{_datadir}/inkscape/extensions/*.js
%{_datadir}/inkscape/extensions/*.svg
%{_datadir}/inkscape/extensions/*.xml
%{_datadir}/inkscape/extensions/*.xsl
%{_datadir}/inkscape/extensions/*.xslt
%{_datadir}/inkscape/extensions/fontfix.conf
%{_datadir}/inkscape/extensions/inkscape.extension.rng
%{_datadir}/appdata/inkscape.appdata.xml
%{_iconsdir}/hicolor/*/apps/inkscape.png
%{_desktopdir}/inkscape.desktop
%{_mandir}/man1/inkscape.1*
%{_mandir}/man1/inkview.1*
%lang(de) %{_mandir}/de/man1/inkscape.1*
%lang(el) %{_mandir}/el/man1/inkscape.1*
%lang(fr) %{_mandir}/fr/man1/inkscape.1*
%lang(ja) %{_mandir}/ja/man1/inkscape.1*
%lang(sk) %{_mandir}/sk/man1/inkscape.1*
%lang(zh_TW) %{_mandir}/zh_TW/man1/inkscape.1*
%changelog
* Sun Dec 30 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/inkscape.git;a=log;h=master

* Sun Dec 30 2018 Jakub Bogusz <qboosh@pld-linux.org> 4157744
- one more poppler fix, release 5

* Sun Dec 30 2018 Jan Rękorajski <baggins@pld-linux.org> b91507e
- updated poppler fixes from upstream

* Sat Nov 24 2018 Jan Rękorajski <baggins@pld-linux.org> f3dc144
- fix building with poppler 0.69
- rel 4

* Sat Sep 01 2018 Jan Palus <atler@pld-linux.org> 5274521
- rebuild with poppler 0.68.0
- release 3 (by relup.sh)

* Mon May 28 2018 Jan Palus <atler@pld-linux.org> cf36836
- rebuild with poppler 0.65.0
- release 2 (by relup.sh)

* Thu May 24 2018 Jan Palus <atler@pld-linux.org> 0d4a0b2
- add combined patches to fix build with poppler >= 0.64.0

* Thu May 24 2018 Jan Palus <atler@pld-linux.org> a9a78fa
- up to 0.92.3

* Wed Jun 28 2017 Jakub Bogusz <qboosh@pld-linux.org> 41394cd
- updated to 0.92.1
- removed obsolete ldl,types,drop-wait-for-targets patches
- added man patch (fix sk man installation)
- added gtk3 patch (fix gtkspell3 detection)

* Thu Apr 20 2017 Jan Rękorajski <baggins@pld-linux.org> ba0f69f
- rebuild with poppler 0.53
- release 13 (by relup.sh)

* Sun Feb 26 2017 Jan Rękorajski <baggins@pld-linux.org> ffc49c1
- release 12 (by relup.sh)

* Sun Dec 18 2016 Jan Rękorajski <baggins@pld-linux.org> c040b22
- rebuild with ImageMagick 7.0.3
- release 11 (by relup.sh)

* Sun Sep 04 2016 Jan Rękorajski <baggins@pld-linux.org> bfe5027
- add build fix patch

* Sun Sep 04 2016 Jan Rękorajski <baggins@pld-linux.org> 51085c6
- add build fix from fedora
- rel 10

* Sun Sep 04 2016 Jan Rękorajski <baggins@pld-linux.org> 7e6ce78
- rebuild with poppler 0.46
- release 9 (by relup.sh)

* Wed May 18 2016 Elan Ruusamäe <glen@delfi.ee> 9b7a6d2
- poppler 0.43 rebuild
- release 8 (by relup.sh)

* Sun Mar 20 2016 Jakub Bogusz <qboosh@pld-linux.org> d5fb1b5
- release 7 (poppler rebuild)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 678ae35
- release 6 (by relup.sh)

* Sun Dec 06 2015 Jan Rękorajski <baggins@pld-linux.org> c8bf654
- release 5 (by relup.sh)

* Sun Nov 01 2015 Adam Osuchowski <adwol@pld-linux.org> 4d4df98
- inkscape needs C++11 compiler

* Sun Oct 11 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 4474bcb
- poppler rebuild
- release 4 (by relup.sh)

